<?php
namespace SCM\Controllers;

use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DTO\Response\Message;
use Zeedhi\Framework\DTO\Response\Error;

class Justificativas extends \Zeedhi\Framework\Controller\Simple {

	protected $justificativas;
    protected $environment;

	public function __construct(\SCM\Services\Justificativas $justificativas, $environment) {
        $this->justificativas = $justificativas;
        $this->environment = $environment;
    }

    public function retornaJustificativas(Request $request, Response $response) {
        try {
        	$filter = $request->getFilterCriteria()->getConditions();
        	
            // $nrorg = $filter[0]['value'];
            $nrorg = $this->environment->getNrorg();

            $todasJustificativas = $this->justificativas->retornaJustificativas($nrorg);

			$response->addDataSet(new DataSet('Justificativas', $todasJustificativas));
        } catch (\Exception $e) {
            $response->setError(new Error($e->getMessage(), $e->getCode()));
        }
    }
}