<?php
namespace SCM\Controllers;

use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DTO\Response\Message;
use Zeedhi\Framework\DTO\Response\Error;
use Util\Validation;

class Parametros extends \Zeedhi\Framework\Controller\Simple {

	protected $parametros;
	protected $environment;

	public function __construct(\SCM\Services\Parametros $parametros, $environment) {
        $this->parametros = $parametros;
        $this->environment = $environment;
    }

    public function retornaParametros(Request $request, Response $response) {
        try {
        	$filter = $request->getFilterCriteria()->getConditions();
        	
            $cdfilial = $filter[0]['value'];
            // $nrorg = $filter[1]['value'];
            $nrorg = $this->environment->getNrorg();

            $parametrosFilial = $this->parametros->retornaParametros($cdfilial, $nrorg);

			$response->addDataSet(new DataSet('Parametros', $parametrosFilial));
        } catch (\Exception $e) {
            $response->setError(new Error($e->getMessage(), $e->getCode()));
        }
    }
}