<?php
namespace SCM\Controllers;

use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DTO\Response\Message;
use Zeedhi\Framework\DTO\Response\Error;
use SCM\Traits\TResponse;

class Produtos extends \Zeedhi\Framework\Controller\Simple {

    use TResponse;

	protected $produtos;
	protected $environment;

	public function __construct(\SCM\Services\Produtos $produtos, $environment) {
        $this->produtos = $produtos;
        $this->environment = $environment;
    }

    public function retornaProdutos(Request $request, Response $response) {
        try {
        // 	$filter = $request->getFilterCriteria()->getConditions();
        	$params = $request->getParameters();
            // $nrorg = $filter[0]['value'];
            $nrorg = $this->environment->getNrorg();
            $filiais = $params[0]['value'];
            $cdgrupprod = $params[1]['value'];
            // $qtdInicial = $filter[2]['value'];
            // $qtdFinal = $filter[3]['value'];
            
            $todosProdutos = $this->produtos->retornaProdutos($nrorg, $filiais, $cdgrupprod);

            $this->sendResponse($todosProdutos);
// 			$response->addDataSet(new DataSet('Produtos', $todosProdutos));
        } catch (\Exception $e) {
            $response->setError(new Error($e->getMessage(), $e->getCode()));
        }
    }

    public function retornaProdutosInventario(Request $request, Response $response) {
        try {
            $filter = $request->getFilterCriteria()->getConditions();
            
            // $nrorg = $filter[0]['value'];
            $nrorg = $this->environment->getNrorg();
            $filiais = $filter[1]['value'];

            $todosProdutos = $this->produtos->retornaProdutosInventarios($nrorg, $filiais);

            $response->addDataSet(new DataSet('InventarioProdutos', $todosProdutos));
        } catch (\Exception $e) {
            $response->setError(new Error($e->getMessage(), $e->getCode()));
        }
    }
    
    public function retornaGruposProduto(Request $request, Response $response){

        try {

            // $filter = $request->getFilterCriteria()->getConditions();

            // $nrorg = $filter[0]['value'];
            $nrorg = $this->environment->getNrOrg();

            $gruposProduto = $this->produtos->retornaGruposProduto($nrorg);

            $response->addDataSet(new DataSet('GruposProduto', $gruposProduto));
        }catch(\Exception $e){
            $response->setError(new Error($e->getMessage(), $e->getCode()));
        }

    }

    public function retornaMascaraProduto(Request $request, Response $response){

        try {

            $filter = $request->getFilterCriteria()->getConditions();

            // $nrorg = $filter[0]['value'];
            $nrorg = $this->environment->getNrorg();

            $mascaraProduto = $this->produtos->retornaMascaraProduto($nrorg);

            $response->addDataSet(new DataSet('MascaraProduto', $mascaraProduto[0]));
        }catch(\Exception $e){
            $response->setError(new Error($e->getMessage(), $e->getCode()));
        }
        
    }

    public function retornaQtdTotalProdutos(Request $request, Response $response) {
        try {          
            $filter = $request->getFilterCriteria()->getConditions();
            // $nrorg = $filter[0]['value'];
            $nrorg = $this->environment->getNrorg();
            $filiais = $filter[1]['value'];
            $cdgrupprod = $filter[2]['value'];
            
            $qtdTotalProdutos = $this->produtos->retornaQtdTotalProdutos($nrorg, $filiais, $cdgrupprod);
            $response->addDataSet(new DataSet('qtdTotalProdutos', $qtdTotalProdutos));
        } catch (\Exception $e) {
            $response->setError(new Error($e->getMessage(), $e->getCode()));
        }
    }

}