import { ZdPage } from '@zeedhi/vue';

const routes = [
  {
    path: '/auth/login',
    name: 'login',
    component: ZdPage,
    props: {
      path: 'login',
      local: true,
    },
  },
  {
    path: '/',
    name: 'home',
    component: ZdPage,
    props: () => ({
      path: 'home',
      local: true,
    }),
  },
  {
    path: '/modules/:module/:page',
    name: 'microservice',
    component: () => import('../views/Microservice.vue'),
  },
  {
    path: '*',
    component: ZdPage,
    props: {
      path: 'notfound',
      local: true,
    },
  },
  {
    path: '/inventarios',
    name: 'inventarios',
    component: ZdPage,
    props: () => ({
      path: 'inventarios/inventarios',
      local: true,
    }),
  },
  {
    path: '/solicitacao_compras',
    name: 'solicitacao_compras',
    component: ZdPage,
    props: () => ({
      path: 'solicitacao_compras',
      local: true,
    }),
  },
  {
    path: '/efetivos',
    name: 'efetivos',
    component: ZdPage,
    props: () => ({
      path: 'efetivos/efetivos',
      local: true,
    }),
  },
  {
    path: '/autorizacao_fornecimento',
    name: 'autorizacao_fornecimento',
    component: ZdPage,
    props: () => ({
      path: 'afs/autorizacao_fornecimento',
      local: true,
    }),
  },
  {
    path: '/importacao',
    name: 'importacao',
    component: ZdPage,
    props: () => ({
      path: 'importacao',
      local: true,
    }),
  },
  {
    path: '/exportacao',
    name: 'exportacao',
    component: ZdPage,
    props: () => ({
      path: 'exportacao',
      local: true,
    }),
  },
];

export default routes;
